EMP 0.1.2

EMP 0.1.2 is ready for testing. Grab the fresh tarball here.

Aside from some bug fixes, I rewrote the entire GStreamer backend code, borrowing heavily from Rhythmbox’s player/rb-player-gst.c. It’s my first time using GObjects. I highly recommend this tutorial. It made me realize why using GObjects are important.

If you have any problems building EMP, try this before you file a bug (assuming you’re using Debian):

sudo apt-get install libgstreamer-gconf0.8-dev gstreamer-gconf gstreamer0.8-plugins

For those of you running Fedora Core 3 (thanks to Soko):

yum install gstreamer
yum install gstreamer-plugins
yum install GConf
yum install GConf-devel
yum install gstreamer-devel
yum install gstreamer-plugins-devel

I’m working on creating Debian packages for EMP, possibly for the 0.2 release.

This entry was posted in Uncategorized and tagged by Adam. Bookmark the permalink.

One thought on “EMP 0.1.2

  1. OOps. Forgot one thing!!! you’ll need to install the gstreamer development package too:

    yum install gstreamer-devel

    after gstremer-plugins. Sorry about that!

    Soko

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>